'''The attributes of people: mind, body and spirit.'''

import random


class Attributes(object):
    def __init__(self):
        potential = random.randint(10, 20) + random.randint(10, 20)
        mind      = random.randint(1, 5) + random.randint(1, 5)
        body      = random.randint(1, 5) + random.randint(1, 5)
        spirit    = random.randint(1, 5) + random.randint(1, 5)
        total     = mind + body + spirit
        factor    = float(potential) / float(total)
        
        self._mind   = Mind(int(mind * factor))
        self._body   = Body(int(body * factor))
        self._spirit = Spirit(int(spirit * factor))
        
    def mind(self):
        return self._mind
    
    def body(self):
        return self._body
    
    def spirit(self):
        return self._spirit
        

class Attribute(int):
    def __init__(self, score):
        self._score = score
    

class Mind(Attribute):
    pass


class Body(Attribute):
    pass


class Spirit(Attribute):
    pass
