'''Basic action classes.'''

from concepts.color import *
from concepts.geometry import *


class Action(object):
    def __init__(self, person):
        self._person = person
    
    def person(self):
        return self._person
    
    def displacement(self):
        return Vector(0, 0)
    
    def vector(self):
        return Vector(0, 0)
    
    def remaining_vector(self):
        return Vector(0, 0)
    
    def done_vector(self):
        return Vector(0, 0)
    
    def done(self):
        self.person().done_acting()
        
    def act(self):
        pass

    def __str__(self):
        return self.__class__.__name__
                
            
class Plan(object):
    def __init__(self, person):
        self._person = person
    
    def color(self):
        return Color(255, 255, 0)
        
    def person(self):
        return self._person
    
    def next_action(self):
        pass
    
    def path(self):
        return []

    def __str__(self):
        return self.__class__.__name__
    